Subject: Re: [ipfix] [issue] INFO-25 Options data is not addressed in info-model

From: "Jeff Meyer" <[email-masked]>
Date: Thu, 29 Jan 2004 10:11:47 -0800

Juergen,

  I see two separate issues:

   1. Adding an applicability statement to the set of information captured 
for each attribute.  Sounds like a good idea to me.  (should be [issue] 
INFO-31)

   2. Segregating per flow information from exporter general information 
(i.e. Option Templates).

  I'd like to do both.

  I also notice in PSAMP that there is yet another field called "Usage", in 
scanning the text, it would appear to me that this typically is just a 
rewording of the "Description" and "Applicability" fields.  So I would 
question whether it is needed.

  Finally, I see there is text around XML in a section 7 in PSAMP, but no 
actual XML doc.  Did the group ever create an XML-Schema?  Or did they fill 
in the text based "template" from section 6?

-- Jeff

>From: Juergen Quittek <[email-masked]>
>To: Jeff Meyer <[email-masked]>, [email-masked]
>Subject: Re: [ipfix] [issue] INFO-25  Options data is not addressed in 
>info-model
>Date: Thu, 29 Jan 2004 12:37:09 +0100
>
>Jeff,
>
>I agree.  In the PSAMP INFO model <draft-ietf-psamp-info-00.txt>
>there is already an additional entry in the list of properties of
>en information elements to be specified for each element:
>
>    Applicability - a statement in which flow records the attribute is
>      used. An attribute can be exported in a data flow record, a
>      options data flow record or both.
>
>We should add this property also to the IPFIX INFO model to be stated
>for each info element.
>
>    Juergen
>
>
>--On 26.01.2004 23:19 Uhr -0800 Jeff Meyer wrote:
>
>>Currently the content of the information model deals with information 
>>elements related
>>to a single flow (or possibly aggregated set of flows).
>>
>>There is another class of information which pertains to details about the 
>>exporter itself.
>>(e.g. total number of flows exported, drops and other items).  Some of 
>>these are
>>currently described in the protocol draft under the discussion of "Option 
>>Templates".
>>
>>These information elements should be described in the information model as 
>>well. Probably
>>in a separate section dealing with "Exporter Detail Information".
>>
>>-- Jeff Meyer
>>
>>_________________________________________________________________
>>Get a FREE online virus check for your PC here, from McAfee. 
>>http://clinic.mcafee.com/clinic/ibuy/campaign.asp?cid=3963
>>
>>
>>--
>>Help        mailto:[email-masked] and say "help" in message 
>>body
>>Unsubscribe mailto:[email-masked] and say
>>"unsubscribe ipfix" in message body
>>Archive     http://ipfix.doit.wisc.edu/archive/
>
>
>
>
>
>--
>Help        mailto:[email-masked] and say "help" in message 
>body
>Unsubscribe mailto:[email-masked] and say
>"unsubscribe ipfix" in message body
>Archive     http://ipfix.doit.wisc.edu/archive/

_________________________________________________________________
Check out the new MSN 9 Dial-up — fast & reliable Internet access with prime 
features! http://join.msn.com/?pgmarket=en-us&page=dialup/home&ST=1

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Thomas Dietz <[email-masked]>
Date: Fri, 30 Jan 2004 14:53:32 +0100

Jeff,

The "Usage" field was meant a little bit different than description and
applicability. The description just says what it is (an IP address, a
packet counter for lost packets or a parameter within a sampling method
in PSAMP), the applicability states if the field can be used by the
data flowset the option flowset or both and finally the usage says in
which context the field is meaningful. Maybe usage is more important
in the PSAMP info model than in the IPFIX one. Let me give you an example:

We currently have defined an "intervalTime" field in the PSAMP info model.
The description says that it is the time between two samples. The
applicability says it is used in the option flowset. Finally the usage says
that it is an option for the Systematic Time Based sampling.

Regarding section 7 in PSAMP you are missing the XML Document. Actually
there is such a document and we create section 6 from this document using
XSLT like you did. In the current state we were not to sure if we should
include the XML document into the draft. This is still to be discussed
on the PSAMP mailing list.

Furthermore, as Juergen already posted on the IPFIX mailing list, we
are working together on an improved version of this XML encoding.

Regards,

Thomas

--On Donnerstag, Januar 29, 2004 10:11:47 -0800 Jeff Meyer <[email-masked]> 
wrote:

>>> These information elements should be described in the information model
>>> as  well. Probably
> Check out the new MSN 9 Dial-up — fast & reliable Internet access with
> prime features! http://join.msn.com/?pgmarket=en-us&page=dialup/home&ST=1
>
>
> --